> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Todo 목록 조회

> 비즈니스의 Todo 목록(`InquiryTodo`)을 조회합니다. Todo는 의뢰(`Inquiry`)에 종속되며 담당자(`in_charge`)가 지정됩니다.

**filter:** `OpenapiTodoFilter`로 inquiry/in_charge/completed 등 필터링 가능.



## OpenAPI

````yaml GET /v1/todo
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/todo:
    get:
      tags:
        - todo
      summary: Todo 목록
      description: >-
        비즈니스의 Todo 목록(`InquiryTodo`)을 조회합니다. Todo는 의뢰(`Inquiry`)에 종속되며
        담당자(`in_charge`)가 지정됩니다.


        **filter:** `OpenapiTodoFilter`로 inquiry/in_charge/completed 등 필터링 가능.
      operationId: todo_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: query
          name: due_date_end
          schema:
            type: string
            format: date
          description: 예정일 종료 (YYYY-MM-DD)
        - in: query
          name: due_date_start
          schema:
            type: string
            format: date
          description: 예정일 시작 (YYYY-MM-DD)
        - in: query
          name: inquiry_id
          schema:
            type: number
          description: 의뢰 ID
        - in: query
          name: is_complete
          schema:
            type: boolean
          description: 완료 여부
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiTodoListCreateList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiTodoListCreateList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiTodoListCreate'
    OpenapiTodoListCreate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inquiry:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedInquiryForTodo'
          description: 의뢰
        inCharge:
          description: 담당자
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedMember'
        type:
          enum:
            - M
            - CA
            - MS
            - E
          type: string
          x-spec-enum-id: 930054b8ae8d8490
          description: |-
            타입

            * `M` - 미팅
            * `CA` - 전화
            * `MS` - 메시지
            * `E` - 기타
          x-enumNames:
            - 미팅
            - 전화
            - 메시지
            - 기타
        dueDate:
          type: string
          format: date
          description: 예정일
        dueTime:
          type:
            - string
            - 'null'
          format: time
          description: 예정 시간
        action:
          type: string
          description: 액션
          maxLength: 2048
        isComplete:
          type: boolean
          readOnly: true
          description: 완료 여부
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
          description: 완료 일시
        dDay:
          type: integer
          readOnly: true
          description: D-Day
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - action
        - completedAt
        - created
        - dDay
        - dueDate
        - id
        - inquiry
        - isComplete
        - type
    OpenapiNestedInquiryForTodo:
      type: object
      properties:
        id:
          type: integer
        uniqueId:
          type:
            - string
            - 'null'
          readOnly: true
          description: 의뢰 고유번호
        name:
          type: string
          readOnly: true
          description: 의뢰 이름
      required:
        - id
        - name
        - uniqueId
    OpenapiNestedMember:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiNestedMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````